plugins {
    id 'com.android.library'
}

android {
    compileSdk rootProject.ext.android.compileSdk
    buildToolsVersion rootProject.ext.android.buildToolsVersion

    defaultConfig {
        minSdk rootProject.ext.android.minSdk
        targetSdk rootProject.ext.android.targetSdk
    }

    buildTypes {
        release {
            minifyEnabled rootProject.ext.module.minifyEnabled
            proguardFiles 'proguard-rules.pro'
        }
    }

    buildFeatures {
        buildConfig false
    }

    lintOptions {
        abortOnError false
    }

    dexOptions {
        preDexLibraries false
    }
}

dependencies {
    api files('../libs/mmkv-static-1.2.8.jar')
    api files('../libs/dolin_zap_1.0.0.jar')
    api files('../libs/yyxx_support_1.0.2.jar')
//    api files('../libs/ali_authsdk_2.12.1.jar')
    api files('../libs/android-support-v4.jar')
    api files('../libs/oaid_sdk_1.0.25.aar')

}

//apply from: 'buildJar.gradle'